How to use Java 17?

I tried to set language to Java 17, but failed, it seems it was not supported at all.

Is it possible to make it work? or there are some way to use a custom downloaded JDK from scripts.